Installation Support for ActivePerl

Installation Problems, Installer content, and FAQs for ActivePerl

ActivePerl on MAC OS 10.7

I recently downloaded and installed activeperl on my mac because I failed to install required module into native perl distribution (there is no make utility). But now I cannot realize how to make Activeperl to run as default perl.

which perl always returns /usr/bin/perl though I added /usr/local/ActivePerl-5.12/bin to /private/etc/paths file
and when I run a perl script it reports that modules (for example Text::CSV_XS) not found

Any help is highly appreciated

Redistribute perl58.dll

Hi,

I'm a freelance developer from Spain (sorry for my bad english ;)

I'm developing a software for a client, based on a personal C++ application I developed some time ago. This soft uses the perl58.dll from ActivePerl 5.8.9 Build 829. This is the only element from the ActivePerl software that I use.

Anybody could tell me what kind of license I need to redistribute the perl58.dll with my soft?

Thank you very, very much!

Manuel

Checksums for downloads

Hello all

Does anyone know the URL where I can match checksums (MD5/SHA2..etc) for files that are downloadable from activestate.com

PP

Problem upgrading from 5.12 to 5.14

Let me report a bug in this version. After successfull installation the perl interpreter crashes on running user script (not responding).
Observed on OS Windows 7 64bit.
Reverted back on 5.12 which works fine.

Current ActivePerl version?

What is the most recent perl version?
On the download page as current 5.12.4 is picked, while the 5.14.1 has higher version number. It's interesting that binaries in this packege have older timestamp (06/16/2011) against lower version (06/20/2011). Quite confused about that :???:

Is ActivePerl 5.6.1 compatible with Windows 7?

Should I upgrade ActivePerl to a latest version? Thanks.

File association issue

I installed ActivePerl-5.10.1.1007-MSWin32-x86-291969.msi and even though the box was checked to associate files, it did not associate the files. I tried to manually associated the .pl files with perl.exe and windows 7 will not let me. How can I get this working?

Thanks,
Shane

PerlScript/WSH broken in AP 5.14.0 1400 ?

It appears PerlScript for Windows Scripting Host, which worked fine in AP 5.12.3 and earlier, is broken in 5.14.0 build 1400. It literally just crashes on start. I tested this two different XP machines, one running WSH 5.6, the other 5.7, as well as Windows 7 and 2008 Server with WSH 5.8. The result has been very consistent.

Windows 7 x64 Installation Problem

I downloaded ActivePerl-5.12.3.1204-MSWin32-x64-294330.msi from http://www.activestate.com/activeperl/downloads, and am getting the following error from Windows Installer when I attempt to install it on a Windows 7 x64 computer:

"This installation package could not be opened. Verify that the package exists and that you can access it, or contact the application vendor to verify that this is a valid Windows Installer package."

Does anyone have any idea why I'm getting this error and how to resolve it so I can install the software?

Thank you very much.

Missing required modules for perlcritic in default install.

Trying to run perlcritic after reinstalling activeperl

This is perl 5, version 12, subversion 3 (v5.12.3) built for MSWin32-x86-multi-thread
(with 9 registered patches, see perl -V for more detail)

Copyright 1987-2010, Larry Wall

Binary build 1204 [294330] provided by ActiveState http://www.ActiveState.com
Built Feb 9 2011 14:38:22

Was told that the following modules were missing
string-format
perl-tidy
pod-spell
PPix-regexp

Would hope that if perlcritic is in the default install, the supporting modules would be there also.

Thanks